<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEmployeeSalaryDetailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('employee_salary_details', function(Blueprint $table){
            $table->increments('id');
            $table->integer('user_id');
            $table->integer('currency_id');
            $table->integer('salary_type');
            $table->integer('salary');
            $table->integer('bank_name');
            $table->integer('account_holder_name');
            $table->integer('account_number');
            $table->integer('is_active')->default(1);
            $table->integer('created_by');
            $table->integer('modified_by');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('employee_salary_details');
    }
}
